com.massivecraft.factions.util

## Class AsciiCompass

- java.lang.Object
- - com.massivecraft.factions.util.AsciiCompass

-     public class AsciiCompass
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AsciiCompass.Point`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AsciiCompass()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.ArrayList<java.lang.String>` | `getAsciiCompass(AsciiCompass.Point point, org.bukkit.ChatColor colorActive, java.lang.String colorDefault)`
    `static java.util.ArrayList<java.lang.String>` | `getAsciiCompass(double inDegrees, org.bukkit.ChatColor colorActive, java.lang.String colorDefault)`
    `static AsciiCompass.Point` | `getCompassPointForDirection(double inDegrees)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AsciiCompass

          public AsciiCompass()

  - ### Method Detail

    - #### getCompassPointForDirection

          public static AsciiCompass.Point getCompassPointForDirection(double inDegrees)

    - #### getAsciiCompass

          public static java.util.ArrayList<java.lang.String> getAsciiCompass(AsciiCompass.Point point,
                                                                              org.bukkit.ChatColor colorActive,
                                                                              java.lang.String colorDefault)

    - #### getAsciiCompass

          public static java.util.ArrayList<java.lang.String> getAsciiCompass(double inDegrees,
                                                                              org.bukkit.ChatColor colorActive,
                                                                              java.lang.String colorDefault)